#ifndef __PRINT_PROG_DLG_H
#define __PRINT_PROG_DLG_H
/*-------------------------------------------------------------------------
 * Copyright (c) 1999-2002 Kenneth W. Sodemann (stufflehead@bigfoot.com)
 *-------------------------------------------------------------------------
 * print_prog_dlg
 *
 * Synopsis:
 *    Printing progress dialog box
 *
 * $Id: print_prog_dlg.h,v 1.3 2002/01/05 17:43:51 stuffle Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to
 * Free Software Foundation, Inc.
 * 59 Temple Place, Suite 330
 * Boston, MA  02111-1307  USA
 *
 *-------------------------------------------------------------------------
 */
#include <gtk/gtk.h>

/*-------------------------------------------------------------------------
 * Function: create_print_prog_dlg
 *
 * Synopsis:
 *   Create the printing progress dialog box.
 *
 * Inputs:
 *   Parent : this dialog's parent window.
 *
 * Outputs:
 *   None.
 * 
 * Return Value:
 *   A pointer to the printing progress dialog box.
 *
 *-------------------------------------------------------------------------
 */
GtkWidget *create_print_prog_dlg (GtkWidget *parent);

/*-------------------------------------------------------------------------
 * Function: enable_dismiss_button
 *
 * Synopsis:
 *   Enable the dismiss button of the dialog.
 *
 * Inputs:
 *   dlg : The dialog box that contains the dismiss button.
 *
 * Outputs:
 *   None.
 * 
 * Return Value:
 *   None.
 *
 *-------------------------------------------------------------------------
 */
void enable_dismiss_button (GtkWidget  *dlg); 

/*-------------------------------------------------------------------------
 * Function: get_text_widget
 *
 * Synopsis:
 *   Get a pointer to the text widget for this dialog box.
 *
 * Inputs:
 *   Pointer to the dialog containing the text widget.
 *
 * Outputs:
 *   None.
 * 
 * Return Value:
 *   Pointer to the main text widget for the given dialog box.
 *
 *-------------------------------------------------------------------------
 */
GtkText *get_text_widget (GtkWidget *dlg);

/*-------------------------------------------------------------------------
 * Function:
 *
 * Synopsis:
 *
 * Inputs:
 *   None.
 *
 * Outputs:
 *   None.
 * 
 * Return Value:
 *   None.
 *
 *-------------------------------------------------------------------------
 */

#endif
